Bug 42240 - Debian-Jessie: isc-dhcp-4.3.1-6+deb8u2
Debian-Jessie: isc-dhcp-4.3.1-6+deb8u2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: DHCP
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Philipp Hahn
Stefan Gohmann
https://bladis.knut.univention.de/vaZ...
: interim-2
Depends on: 42238
Blocks: 41929
  Show dependency treegraph
 
Reported: 2016-09-02 16:13 CEST by Philipp Hahn
Modified: 2017-04-04 18:28 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2016-09-02 16:13:48 CEST
Merge patches for isc-dhcp-4.3.1-6+deb8u2 from Debian-Jessie
+++ This bug was initially created as a clone of Bug #41929 +++
Comment 1 Philipp Hahn univentionstaff 2016-09-02 16:46:55 CEST
r16678 | Imported, merged, built
 Also fixed the quoting part of Bug #34441.

Package: isc-dhcp
Version: 4.3.1-6+deb8u2A~4.2.0.201609021633
Branch: ucs_4.2-0
Comment 2 Stefan Gohmann univentionstaff 2017-02-14 20:09:11 CET
(In reply to Philipp Hahn from comment #1)
>  Also fixed the quoting part of Bug #34441.

In this case please add a changelog entry.

The following patches are nearly equal (4.1) <=> (4.2):
 11_restart-univention-dhcp.patch <=> 20_restart-univention-dhcp.patch
 52_ppc.patch <=> 12_ppc.quilt
 70_next_server.patch <=> 24_next_server.quilt
 55_fix_28139_ranges.patch <=> 10_fix_28139_ranges.quilt

This one has been dropped:
 10_ftbfs-noparallel.patch

The rest needs to be checked via code review and tests:

(4.1):
 - 50_dhcp_policy.patch
 - 51_dhcp_policy.patch

(4.2):
 - 26_ldap_secret.quilt
 - 28_ldap_oc.quilt
 - 30_policy.patch
 - 30_policy.quilt
Comment 3 Philipp Hahn univentionstaff 2017-02-15 09:04:53 CET
(In reply to Stefan Gohmann from comment #2)
> (In reply to Philipp Hahn from comment #1)
> >  Also fixed the quoting part of Bug #34441.
> 
> In this case please add a changelog entry.

r76680 | Bug #42240: DHCP CL
Comment 4 Stefan Gohmann univentionstaff 2017-02-15 16:56:20 CET
Tests: OK

Changelog: OK

Patch review: OK

(In reply to Stefan Gohmann from comment #2)
> The rest needs to be checked via code review and tests:
> 
> (4.2):
>  - 26_ldap_secret.quilt
OK, part of 51_dhcp_policy.patch

>  - 28_ldap_oc.quilt
OK, part of 51_dhcp_policy.patch

>  - 30_policy.patch
OK, part of 50_dhcp_policy.patch

>  - 30_policy.quilt
OK, part of 51_dhcp_policy.patch
Comment 5 Stefan Gohmann univentionstaff 2017-04-04 18:28:30 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".